﻿$ErrorActionPreference = 'Stop'

$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=royal'
    unzipLocation  = $toolsDir
    checksum       = '9762019f9a9432a6c0f9d6b29243b5cc4f452fa64c3c56ead38dd2505db5bf19'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

New-Item "$toolsDir\Royal.exe.gui" -Type File -Force | Out-Null
